# Overview

This library contains the lite part of Google Protocol Buffer library for java.

# Usage

Add the following line to your `module.ivy`:
	
    <dependency org="com.google" name="protobuf" rev="2.6.0"/>

And add the following option into your *.proto files :
> option optimize_for = LITE_RUNTIME;

# Requirements

This library requires the following Foundation Libraries:

    BON-1.2, EDC-1.2

# Dependencies

_All dependencies are retrieved transitively by MicroEJ Module Manager_.

# Source

This project was created with all the sources from protobuf-2.5.0.
We removed classes so as to only have the classes necessary for the lite version.
A few minors changes were made in the remaining classes to make it compile.
src contains these classes and the missing classes in EDC / Eclasspath

Differences between original sources and theses source of Protocol Buffer:
- ByteString.toString() has been modified to avoid String.format() (twice)
- GeneratedMessageLite.readResolve() has been commented out to avoid reflection on methods

# Restrictions

None

---  
_Copyright 2016-2019 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._
