# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 1.10.0 - 2019-03-22

### Changed

  - Use MMM.
  
## 1.9.0 - 2019-01-28

### Added

  - Depends on the framework processor to generate necessary files (entry point, services, bundles, etc.).
  
## 1.8.0 - 2018-11-16

### Added

  - Implement extra metadatas.

## 1.7.2 - 2018-09-13

### Fixed

  - P0095F-639: Minimal Firmware Kernel does not boot (NPE in SharedRegistryFactory clinit).
  
## 1.7.1 - 2018-05-02

### Fixed

  - P0095F-225: Reduce map size in SharedRegistryImpl.  

## 1.7.0 - 2018-04-27

### Added

  - WI20609: Added `move()` to storage.
  - WI20635: Added `exists()` to storage.
  - WI20528: Added `execute()` to `ApplicationsManager`.
  - WI20528: Deprecated `Application.install()`, obsoleted by `ApplicationsManager.install()`.
  - J0216S-50: Added `execute(IProgressMonitor)` to `ApplicationsManager`.

## 1.6.0 - 2017-12-04

### Added

  - WI 20528: Integration of signed command.

## 1.5.0 - 2017-09-15

### Added

  - WI 20178: `SharedProperties` and `PropertyLoader` available.

## 1.4.0 - 2017-03-24

### Added

  - Updated to comply with components 3.1+
### Fixed

  - WI 19432: Failures in wadapps activities lifecycle methods should be reported to the caller.  

## 1.3.0 - 2016-05-30

### Added

  - ApplicationMetadatProvider is observable.

## 1.2.2 - 2016-04-01

### Added

  - Initial public revision.
  
---  
_Copyright 2016-2019 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  