/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import ej.ecom.Device;


/**
 * Describe the capabilities of a a node. A node represent a physical device.
 */
public interface Node extends Device {
	/**
	 * Exclude this node. A Node can be directly excluded if and only if its Controller supports.
	 * 
	 * @return true on success, false otherwise
	 */
	boolean exclude();

}
