/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event;

import ej.ecom.Device;

public interface EventHandler<D extends Device, E extends Event<D>> {

	void handleEvent (E event);

	void handleError (E error);

}
