/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.data;

import java.io.IOException;

import ej.kf.Proxy;

class DataWriterProxy extends Proxy<DataWriter> implements DataWriter {

	@Override
	public void writeBooleanValue(boolean value) throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeIntValue(int value) throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeLongValue(long value) throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeStringValue(String value) throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeDoubleValue(double value) throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeArrayValueStart() throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeArrayValueEnd() throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeMapValueStart() throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeMapValueEnd() throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeIntKey(int value) throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void writeStringKey(String value) throws IOException {
		try{ invoke(); }
		catch(Throwable e){
			throw new IOException();
		}
	}
}
