# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 3.3.0 - 2019-03-06

### Changed

  - use MMM.
  
## 3.2.3 - 2018-05-24

### Fixed

  - Use PackedMap instead of HashMap.
  - Use array instead of ArrayList.

## 3.2.2 - 2018-04-26

### Fixed

  - Improve RAM footprint.

## 3.2.1 - 2017-04-10

### Fixed

  - ServiceLoader and BundleRegistry names are not exposed as required types.

## 3.2.0 - 2017-02-22

### Added

  - Add a composite activator that wraps several activators.
  - Add a method that loads a bundle activator from its name.

## 3.1.0 - 2016-09-27

### Added

  - Service loader can return default implementation of a service. 

## 3.0.2 - 2016-04-05

### Added

  - Publication update.


## 3.0.0 - 2015-07-29

### Added

  - Add a service loader that loads from META-INF/services/ files.
  - Review service loaders hierarchy.
  - Rework packages.
  - Remove parameters in bundles.
  - Rename registry to bundle registry.
  - Remove registry factory, prefer using service loader.
  - Add tests.

## 2.2.1 - 2015-07-06

### Added

  - Move in ivy repository to organization 'ej.library.runtime' and rename module to 'components'.

## 2.2.1 - 2015-06-24

### Added

  - Modify library type (build as MicroEJ JavaLib).

## 2.2.0 - 2015-06-05

### Added

  - Add a service loader that loads from a properties file.

## 2.1.0 - 2015-01-23

### Added

  - Add the possibility to configure the default service loader with a system property.
  - Properties service loader also retrieve services singleton from the default registry.
  - Components file can contain commented lines (starting with '#' or '!').
  - Components file arguments can span several lines if each line is terminated by '\'.

## 2.0.4 - 2015-01-22

### Fixed

  - Do not throw runtime exception when requesting a service without implementation.
  - Throw an IO exception instead of a runtime exception when giving an invalid path for bundles list file.

## 2.0.0 - 2014-03-17

### Added

  - Dependency injection utilities.

## 1.0.1 - 2014-03-11

### Added

  - Add read me.

## 1.0.0 - 2014-03-11

### Added

  - Initial revision.

---    
_Copyright 2014-2019 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  